{ 4I27 DEMO SOFTWARE - TEST PROGRAM FOR 4I27 }
program READ4I27;
uses CRT;
{$R+}    {Range checking }
{$S+}    {Stack checking }
{$I+}    {I/O checking }

{$i..\4i27\4I27LOW }                 { include low level 4I27 I/O }
{ program simple motion test for 4I27 }

const I27Card = $200;                          { default 4I27 location }

var

Motor0 : motor;
Motor1 : motor;
fookey : char;

begin                                          {main}
  DirectVideo:= false;
  writeln('About to reset the 4I27');
  if not Reset4I27A(I27Card) then
  begin
    writeln('Couldn''t reset 4I27 card... muddle on!');
  end
  else
  begin
    writeln('LM629''S sucessfully reset...');
    writeln('Proceeding with set-up');
  end;
  AssignMotor(Motor0,I27Card,0);               { assign motor 0 to first half of first card }
  AssignMotor(Motor1,I27Card,1);               { assign motor 1 to second half of second card }
  TurnOffMotor(Motor0);
  TurnOffMotor(Motor1);
  DisableHBridge(Motor0);
  DisableHBridge(Motor0);
  DefineHome(Motor0);
  DefineHome(Motor1);
  while not KeyPressed do
  begin
    gotoxy(1,6);
    write('Motor 0 position = ');
    write(ReadRealPosition(Motor0) : 10,'         ');
    gotoxy(1,9);
    write('Motor 1 position = ');
    write(ReadRealPosition(Motor1) : 10,'         ');
    writeln;
  end; {while}
  fookey := Readkey;
  gotoxy(1,12);
  writeln;
end.
